Support-Info: (CONNECTORS): Supported Active Directory (AD) Version for Active Directory Management Agent (AD MA)

All,

I recently fielded a question concerning the Active Directory Management Agent and the lowest supported Active Directory Version.  I felt that this would be some good information to share here as well.

NOTE It is important to note that Windows Server 2008 R2 Sp1 that as of March 2018, it is out of Mainstream support.  Yes.  It is in Extended Support, so it will still work to connect to a Windows Server 2008 R2 SP1 Active Directory, but not recommended due to support lifecycle for long term identity management strategies.
https://support.microsoft.com/en-us/lifecycle/search?alpha=Windows%20Server%202008%20R2%20Service%20Pack%201

Forefront Identity Manager 2010 R2

Refer to the Supported Platforms for FIM 2010 R2 SP1 document: https://blogs.technet.microsoft.com/iamsupport/forefront-identity-manager-2010-r2-sp1-supported-platforms/

Active Directory for user provisioning, PCNS and GAL
Sync (optional)
Windows Server 2008 R2 SP1

Windows Server 2012

Microsoft Identity Manager 2016:

The Supported Platforms for MIM 2016 document: https://docs.microsoft.com/en-us/microsoft-identity-manager/microsoft-identity-manager-2016-supported-platforms

Active Directory for User Provisioning, PCNS and GalSync (Optional)
  • Windows Server 2008 R2 SP1 (Please refer to the note above)
  • Windows Server 2012
  • Windows Server 2012 R2, R2 SP1
  • Windows Server 2016 * (You must be at MIM 2016 SP1)

The Connect to your directories document: https://docs.microsoft.com/en-us/microsoft-identity-manager/supported-management-agents

Active Directory Domain Services Active Directory 2012, 2016